Subject: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 03 Aug 2020 08:10:28 +0200

Alan Third <[email-masked]> writes:

> I've attached an updated version of this patch and a screenshot
> showing the result with a couple of levels of scaling.

That looks fine to me.

> Annoyingly we now use Cairo by default which is unaffected by this
> change, so only plain X users will see this behaviour.

Oh, I didn't know that...  so this would make the plain X users (a very
small minority now, I guess) have different "embiggening" scaling than
all the rest?  There's no way to make Cairo not do the ultra-smoothing
that it does now? 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no